package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.po.scene.SceneComplexityPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;


@Mapper
public interface SceneComplexityMapper {

    List<SceneComplexityPO> selectSceneIdsByEvaluation(SceneComplexityPO sceneComplexityPO);

    @Select("select scene_id, scene_type,rule_id ,rule_name, task_id ,complexity, complexity_level\n" +
            "from scene_complexity\n" +
            "where scene_id = #{sceneId} order by create_time desc" )
    List<SceneComplexityPO> querySceneEvaluationComplexityDetail(@Param("sceneId") String sceneId);

}
