package api.common.pojo.po.map;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 多模式仿真
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SimulationMapPathPO implements Serializable {
    private String id;
    private String mapId;
    private Integer pathSort;
    private String pathDetail;

    private String pathStartPoint;

    private String pathEndPoint;
    private Integer startPointNum;
    private Integer endPointNum;
    private Integer deleted;

    private Timestamp createTime;
    private Timestamp updateTime;
}