package api.common.pojo.po.project;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 多模式仿真
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MultiSimulationProjectResultPO implements Serializable {
    private String id;
    private String sceneId;

    private String abnormalType;

    private Integer abnormalTime;
    private Integer deleted;

    private Timestamp createTime;
    private Timestamp updateTime;
}